/**
 * 
 */
package com.as.lyons.rest.svc.ofac;

import java.util.List;

import com.as.lyons.rest.svc.common.ErrorResult;

/**
 * The detailed description of an account verification including the primary financial institution.
 * 
 * @author pgurov
 *
 */
public class CountryListResult extends ErrorResult {
	
	private List<Country> countries;

	/**
	 * @return the countries
	 */
	public List<Country> getCountries() {
		return countries;
	}

	/**
	 * @param countries the countries to set
	 */
	public void setCountries(List<Country> countries) {
		this.countries = countries;
	}
}
