package com.as.lyons.rest.svc.ofac;

import java.util.List;

/**
 * @author pgurov
 *
 */
public class FullEntity extends Entity
{

    protected String program;
    protected String remarks;
    protected String sdnType;
    protected String title;
    protected String callSign;
    protected String vessType;
    protected String vessTonnage;
    protected String vessGRT;
    protected String vessFlag;
    protected String vessOwner;
    protected String dob;
    protected String passport;
    protected List<EntityAddress> additionalAddress;
    protected List<EntityAlias> additionalAlias;

    /**
     * Gets the value of the program property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProgram() {
        return program;
    }

    /**
     * Sets the value of the program property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProgram(String value) {
        this.program = value;
    }

    /**
     * Gets the value of the remarks property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRemarks() {
        return remarks;
    }

    /**
     * Sets the value of the remarks property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRemarks(String value) {
        this.remarks = value;
    }

    /**
     * Gets the value of the sdnType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSdnType() {
        return sdnType;
    }

    /**
     * Sets the value of the sdnType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSdnType(String value) {
        this.sdnType = value;
    }

    /**
     * Gets the value of the title property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTitle() {
        return title;
    }

    /**
     * Sets the value of the title property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTitle(String value) {
        this.title = value;
    }

    /**
     * Gets the value of the callSign property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCallSign() {
        return callSign;
    }

    /**
     * Sets the value of the callSign property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCallSign(String value) {
        this.callSign = value;
    }

    /**
     * Gets the value of the vessType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVessType() {
        return vessType;
    }

    /**
     * Sets the value of the vessType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVessType(String value) {
        this.vessType = value;
    }

    /**
     * Gets the value of the vessTonnage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVessTonnage() {
        return vessTonnage;
    }

    /**
     * Sets the value of the vessTonnage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVessTonnage(String value) {
        this.vessTonnage = value;
    }

    /**
     * Gets the value of the vessGRT property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVessGRT() {
        return vessGRT;
    }

    /**
     * Sets the value of the vessGRT property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVessGRT(String value) {
        this.vessGRT = value;
    }

    /**
     * Gets the value of the vessFlag property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVessFlag() {
        return vessFlag;
    }

    /**
     * Sets the value of the vessFlag property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVessFlag(String value) {
        this.vessFlag = value;
    }

    /**
     * Gets the value of the vessOwner property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVessOwner() {
        return vessOwner;
    }

    /**
     * Sets the value of the vessOwner property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVessOwner(String value) {
        this.vessOwner = value;
    }

    /**
     * Gets the value of the dob property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDob() {
        return dob;
    }

    /**
     * Sets the value of the dob property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDob(String value) {
        this.dob = value;
    }

    /**
     * Gets the value of the passport property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPassport() {
        return passport;
    }

    /**
     * Sets the value of the passport property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPassport(String value) {
        this.passport = value;
    }

    /**
     * Gets the value of the additionalAddress property.
     * 
     * @return the additionalAddress
     *     
     */
    public List<EntityAddress> getAdditionalAddress() {
        return additionalAddress;
    }

    /**
     * Sets the value of the additionalAddress property.
     * 
     * @param value
     *     
     */
    public void setAdditionalAddress(List<EntityAddress> value) {
        this.additionalAddress = value;
    }

    /**
     * Gets the value of the additionalAlias property.
     * 
     * @return additionalAlias
     *     
     */
    public List<EntityAlias> getAdditionalAlias() {
        return additionalAlias;
    }

    /**
     * Sets the value of the additionalAlias property.
     * 
     * @param value
     *     
     */
    public void setAdditionalAlias(List<EntityAlias> value) {
        this.additionalAlias = value;
    }

}
