package com.as.lyons.rest.svc.ofac;

import java.util.List;

import com.as.lyons.rest.svc.common.ErrorResult;

/**
 * @author pgurov
 *
 */
public class FullEntityListResult extends ErrorResult
{

    protected List<FullEntity> entities;

    /**
     * Gets the value of the entities property.
     * 
     * @return the entities
     *     
     */
    public List<FullEntity> getEntities() {
        return entities;
    }

    /**
     * Sets the value of the entities property.
     * 
     * @param value
     *     
     */
    public void setEntities(List<FullEntity> value) {
        this.entities = value;
    }

}
